<div class="text-input-customer-container"
  [ngStyle]="{'margin-bottom': marginBottom ? marginBottom : '0px'}"
  [ngClass]="{
    'dn': customClass ? customClass : ''
  }">
  <div class="text-input-label"
  [ngClass]="{
    'label': labelIsDisabled,
    'cb--input-color-1': type === 'input-color-1'
  }"
  >
   {{label}}<span class="is-required"></span>
  </div>
  <div class="text-input-custom" 
    [ngClass]="{
      'cb--disabled': isDisabled,
      'cb--border-color': hasErrorMessage,
      'cb--input-color-1': type === 'input-color-1'
    }">
    <input
      #zipEl
      class="text-input"
      [ngClass]="{
        'cb--disabled': isDisabled,
        'cb--input-color-1': type === 'input-color-1'
      }"
      [attr.type]="typeOfInput"
      [maxLength]="maxLength"
      [value]="value"
      (input)="changeInput($event.target)"
      [placeholder]="placeholder"
      [disabled]="isDisabled"
      autocomplete="none">
  </div>
  <div class="text-input-error"
    *ngIf="hasErrorMessage && errorMessage">
    {{errorMessage}}
  </div>
</div>
